
/* Global Styles */

body {
    margin:0px;
    font-family: arial,sans-serif;
    color: #666666;
    font-size:11px;
}

a   {
    color: #003352;
    cursor:pointer;
}

a:hover {
    color: #0090FF;
}

a:visited {
    color: #003352;
}

textarea {
    font:12px "Trebuchet MS", Verdana;
}
h1  {
    font:24px "Trebuchet MS", Verdana;
    color: #003352;
    letter-spacing:.2em;
    margin-bottom:2px;
    padding-bottom:2px;
    margin-top:0px;
    padding-top:0px;
    vertical-align: top;
}

h2  {
    font:15px "Trebuchet MS", Verdana;
    color: #003352;
    letter-spacing:.2em;
    margin-bottom:2px;
    padding-bottom:2px;
    margin-top:0px;
    padding-top:0px;
}

h3  {
    font:11px "Trebuchet MS", Verdana;
    color:#003352;
    letter-spacing:.2em;
    font-weight:bold;
    margin-bottom:2px;
    padding-bottom:2px;
    margin-top:0px;
    padding-top:0px;
    text-align:left;
}
h4  {
    font:11px "Trebuchet MS", Verdana;
    color: #003352;
    letter-spacing:.2em;
    margin-bottom:0px;
    padding-bottom:0px;
    margin-top:0px;
    padding-top:0px;
}
h5  {
    font:11px "Trebuchet MS", Verdana;
    color: #406980;
    letter-spacing:.2em;
    line-height:20px;
}
hr
{
    color: #CCCCCC;
    background-color: #CCCCCC;
    height: 1px;
    border:0px;
}

th
{
	font:11px "Trebuchet MS", Verdana;
    color: #003352;
}


/* PRIMARY LAYOUT ELEMENTS   
----------------------------------------------------------*/

.main
{
	margin: 10px 10px auto 10px;
}

.header
{
    position: relative;
    margin: 0px;
    padding: 0px;
    background: #D8E3E6;
    width: 100%;
}

.header h1
{
    font-weight: 700;
    margin: 0px;
    padding: 0px 0px 0px 20px;
    color: #003352;
    border: none;
    line-height: 2em;
    font-size: 2em;
}

.headerHR
{
	color: #C4DB0D;
    background-color: #C4DB0D;
    height: 2px;
    border:0px;
	margin:0px;	
}
/* button 
---------------------------------------------- */
.button {
	display: inline-block;
	/* zoom: 1; /* zoom and 
display = ie7 hack for display:inline-block */
	/* display: inline;*/
	font-size:10px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	vertical-align: baseline;
	margin: 0 0px;
	outline: none;
	cursor: pointer;
	text-align: center;
	text-decoration: none;
	text-shadow: 0 1px 1px rgba(0,0,0,.3);
	-webkit-border-radius: .5em; 
	-moz-border-radius: .5em;
	border-radius: .5em;
	-webkit-box-shadow: 0 1px 2px rgba(0,0,0,.2);
	-moz-box-shadow: 0 1px 2px rgba(0,0,0,.2);
	box-shadow: 0 1px 2px rgba(0,0,0,.2);
	width:100px;
}
.button:hover {
	text-decoration: none;
}
.button:active {
	position: relative;
	top: 1px;
}
 
.bigrounded {
	-webkit-border-radius: 2em;
	-moz-border-radius: 2em;
	border-radius: 2em;
}
.small {
	width:50px;
}
.medium {
	width:120px;
}
.large {
	width:150px;
}
 
.blue {
	color: #003352;
	border: solid 1px #0076a3;
	background: #C7D1E6;
	background: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#A5B0C9));
	background: -moz-linear-gradient(top,  #FFFFFF,  #A5B0C9);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#FFFFFF', endColorstr='#A5B0C9');
}
.blue:hover {
	background: #003352;
	background: -webkit-gradient(linear, left top, left bottom, from(#D8E3E6), to(#ADCFE6));
	background: -moz-linear-gradient(top,  #D8E3E6,  #ADCFE6);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#D8E3E6', endColorstr='#ADCFE6');
}
.aspNetDisabled {
	color: #D8E3E6;
	/*
	background: #C7D1E6;
	background: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#A5B0C9));
	background: -moz-linear-gradient(top,  #FFFFFF,  #A5B0C9);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#FFFFFF', endColorstr='#A5B0C9');
    */
}


/* TAB MENU   
----------------------------------------------------------*/

.menuTable
{
    background-color:#406980;
    width:100%;
    margin:0px;
    padding:0px;
    height:50px;
}

div.menu
{
    padding: 0px 0px 0px 0px;
    margin:0px 0px 0px 0px;
    width:100%;
    background-color:#406980;
}

div.menu ul
{
    list-style: none;
    margin: 0px;
    padding: 0px;
    width: auto;
}

div.menu ul li a, div.menu ul li a:visited
{
    background-color: #406980;
    border: 1px #4e667d solid;
    color: #D8E3E6;
    display: block;
    line-height: 1.35em;
    padding: 4px 20px;
    text-decoration: none;
    white-space: nowrap;
    font-weight:bold;
}

div.menu ul li a:hover
{
    background-color: #D8E3E6;
    color: #003352;
    text-decoration: none;
}

div.menu ul li a:active
{
    background-color: #003352;
    color: #D8E3E6;
    text-decoration: none;
}

/* Toolbar
----------------------------------------------------------*/
.toolbar
{
    margin:0px;
    padding:0px;
    border-collapse: collapse;
    margin-bottom:3px;
}
.toolbar td
{
	background-color:#EAF1FB;
	white-space: nowrap;
	vertical-align:middle;
	text-align:center;
	width:40px;
	height:25px;
	padding-top:5px;
	border-right:1px;
	border-right-style:double;
	border-right-color:Gray;
}

/* MISC  
----------------------------------------------------------*/

.clear
{
    clear: both;
}

.title
{
    display: block;
    float: left;
    text-align: left;
    width: auto;
}

.loginDisplay
{
    font-size: 1.1em;
    display: block;
    text-align: right;
    color: #003352;
}
.loginDisplay td
{
    vertical-align:middle;
}

.loginDisplay a:link
{
    color: #003352;
}

.loginDisplay a:visited
{
    color: #003352;
}

.loginDisplay a:hover
{
    color: #003352;
}

.failureNotification
{
    font-size: 1.2em;
    color: Red;
}

.bold
{
    font-weight: bold;
}

.submitButton
{
    text-align: right;
    padding-right: 10px;
}
/* tables */
.innerTable{
    color:#000000;
    border: 1px solid #CCCCCC;
    border-collapse:collapse;
    padding: 2px 5px 2px 5px;
}

.rowHeader {
    font:12px arial,sans-serif;
    color:#000000;
    background-color: #B5D4E3;    
    font-weight:bold;
    text-align: left;
    padding: 2px 5px 2px 5px;
    border: 1px solid #CCCCCC;
    vertical-align:top;
    width: 120px;
}
.innerTableTD
{
    font:10px arial,sans-serif;
    border: 1px solid #CCCCCC;
    vertical-align:top;
    padding: 2px 5px 2px 5px;
}

.innerTableRight
{
    font:10px arial,sans-serif;
    border: 1px solid #CCCCCC;
    vertical-align:top;
    padding: 2px 5px 2px 5px;
    text-align: right;
}

.innerTable th
{
    font:11px arial,sans-serif;
    font-weight:bold;
    vertical-align:top;
    background-color: #D8E3E6;
    background-image:none;
    border: 1px solid #CCCCCC;
    padding: 2px 5px 2px 5px;
    color: #003352;
    
}

.innerTable td {
    border: 1px solid #CCCCCC;
    padding: 2px 5px 2px 5px;
    vertical-align: top;
}

.Inactive
{ 
    background-color:#D8E3E6; 
    filter:alpha(opacity=70);
    opacity:0.5; 

}
.ModalPopup
{ 
    background-color:White; 
    border-width:2px; 
    border-style:solid; 
    border-color:#C7D1E6; 
    padding:10px; 
	margin:10px;
	z-index:30000;
}
.plainBoldHeader
{
    font:10px Verdana,sans-serif;
    vertical-align:top;
    font-weight:bold;
    background-color:White !important;
}
.GridviewDiv {font-size: 62.5%; font-family: 'Lucida Grande', 
    'Lucida Sans Unicode', Verdana, Arial, Helevetica, sans-serif; color: #303933;}
Table.Gridview{border:solid 1px #406980;}
.GridviewTable{border:none}
.GridviewTable td{margin-top:0;padding: 0; vertical-align:middle; text-align: center;}
.GridviewTable tr{color: White; background-color: #406980; height: 20px; text-align:left;}
.Gridview th{color:#FFFFFF;border-right-color:#BDBDA2;border-bottom-color:#BDBDA2;
    padding-left:0.5em; padding-right: 0.5em; text-align:center}  
.Gridview td{border-bottom-color:#f0f2da;border-right-color:#f0f2da;
    padding-left:0.5em; padding-right: 0.5em;
   text-align: left; height: 20px;}
.Gridview tr{color: Black; background-color: White; text-align:left;}
.Gridview-textbox{font-size: 100%;}

/* Input/Output Values in Data Review and Data Entry*/

.requiredParameter {
    font-weight: bold; color: red;
}

td.invalidParameter {
   border: 2px solid red;
   /* - doesn't work when border="0": 
       border-color: red; 
      - When 1px, in BTDE the combination of cellspacing and cellpadding results in only 2 borders showing as red.
   */
}

td.missingParameterInstance {
   border: 2px solid darkblue;
}

.OutputNumeric {
   text-align: right; 
   padding-right: 3px;
}

.OutputBool {
    text-align: center;
}

.OutputDate {
    text-align: center;
}

.OutputTime {
    text-align: center;
}

td.numericCellFormat {
   text-align: right; 
   padding-right: 3px;
}

td.centeredTypesCellFormat {
   text-align: right; 
}

/*.invalidParameter {
    border: 1px solid red;
}
*/

.lowAberrantValue {
    border-color: blue;
    border-width: 3px;
    border-style: solid;
    background-color: lightyellow;
}
.highAberrantValue {
    border-color: pink;
    border-width: 3px;
    border-style: solid;
    background-color: lightyellow;
}

.errorMessage
{
	font-size:1em;
	font-weight:bold;
	color:#CC0000;	
}
.error 
 {     
 	font: Verdana,sans-serif;     
 	padding: 3px;     
 	margin: 3px;     
 	background-color: #ffc;     
 	border: 1px solid #c00; 
 } 

.infoMessage
{
	font-size:1em;
	font-weight:bold;
	color:#003352;	
}
.confirmMessage
{
	font-size:1em;
	color:#003352;	
}
.headerWatermark
{	font-family:'Lucida Sans Unicode', Verdana, Arial, Helevetica, sans-serif;
	filter:alpha(opacity=40); /* For IE8 and earlier */
	opacity:0.4;
	font-size:3em;
	font-style:italic;
	color:Red;
	vertical-align:top;
	margin-left:-325px;
	display:-moz-inline-stack;
	display:inline-block;
	zoom:1;
	display:inline;
}
.textInput {
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	height:15px;
	text-decoration: none;
}
.textInputBorderless {
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	height:15px;
	text-decoration: none;
	border: 0px !important;
}
.textAreaInput {
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	text-decoration: none;
}
.selectInput {
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	text-decoration: none;
}
.textAreaInputEdit 
{
	font-size: 13.333px;
	font-family: MS Shell dlg;
	font-weight:normal;
	line-height: 16px;
	height: 22px;
	text-decoration: none;
}
.dropDownList
{
	font-size:11px;
	border-color:#9EBFE3;
	border-style:solid;
	border-width:1px;
	font: Verdana,sans-serif;
	color:#444444;
}
.animalTable
{
	border-width:0px;
	border-style:none;
}
.animalTable td
{
	border:none !important;
}
/*
** This style fixes the z-order problem in Obout's Grid in a Modal window (see URL below).
** http://www.obout.com/interface/KnowledgeBase.aspx?id=879
*/
.ob_iCboIC, .ob_iDdlIC
{
    z-index: 100002 !important;
}


.calendarTable
{
	border-collapse:collapse; 
}
.calendarTable th
{
	font:11px "Trebuchet MS", Verdana;
	color: #003352;
	letter-spacing:.2em;
	line-height:20px;
	text-align:center;
	background-image: url(../Images/calendar-header.gif);
    background-repeat: repeat-x;
	padding: 2px 5px 2px 5px;
	height:27px;
	white-space:nowrap;
}
.calendarTable td
{
	vertical-align:top;
	font:11px "Trebuchet MS", Verdana;
    color: #444444;
    white-space:nowrap;
    border-bottom:1px solid #D8E3E6;    
}
	
.watermarkText ob_iTIE
{
    font-style: italic;
}
 
.bottomRightItalics
{
    font-style: italic;
    text-align: right;
}   
.borderlessTable
{
	border: 0px !important;
}
.reportTable
{
	width: 1100px;
    margin-left: 20px;
	border: 0px;
}
.reportTable th
{
    width: 200px;
	font:11px "Trebuchet MS", Verdana;
	color: #003352;
	background-color: #B5D4E3;
	letter-spacing:.2em;
	line-height:20px;
	padding: 2px 5px 2px 5px;
	height: 25px;
	text-align: left;
}
.reportTable td
{
	vertical-align: top;
    white-space: nowrap;	
}
.reportSubTable
{
    border-top:0px;
    border-right:0px;
    border-left:0px;
 	border-bottom: 1px;
    border-color: #D8E3E6;
	border-style: solid;
}
.reportSubTable th
{
	font:11px "Trebuchet MS", Verdana;
	color: #003352;
	background-color: #D8E3E6;
	letter-spacing:.2em;
	line-height:10px;
	padding: 2px 5px 2px 5px;
	height: 10px;
    width: 80px;
	text-align: left;
}
.reportSubTable td
{
	vertical-align:top;
}
.dateBox
{
    border:1px solid #E8E8E8 ;
    border-top: 1px solid #B0B0B0   ;
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	height:17px;
	text-decoration: none;
	width:81px;
}
.dateBoxHeader
{
	border-width:0px;
	font:14px "Trebuchet MS", Verdana;
	color:#003352;
	width:80px;
	font-weight:normal;
}
.outputGroup
{
    color: #406980;
    font-weight: bold;
}

.outputName
{
    font-weight: bold;font-size: "x-large"
}
.inputHeader
{
    font:12px "Trebuchet MS", Verdana;
    font-weight:bold;
    vertical-align:top;
    color: #003352;
    background-color: #D8E3E6;
    border: 1px solid #CCCCCC;
    padding: 2px 5px 2px 5px;
    
}
.zeroMargin
{
	margin:0px;
	padding:0px;
}
.pnlSchedule
{
	margin:20px;
	padding:20px;
}
.ob_spl_dividervertical {
    width: 20px;
	margin:5px;
	padding:5px;
}

.fileUpload {
    background: #fff;
    color: #003352;
    font:11px "Trebuchet MS", Verdana;
}
.pagerButton
{
    color: #003352;
    height:35px;
    font-weight:bold;
    font:14px "Trebuchet MS", Verdana;
    text-decoration:none;
    }    
.numericButton
{
    color: #003352;
    font:14px "Trebuchet MS", Verdana;
    }  
.currentPageLabel
{
    color: #003352;
	font:14px "Trebuchet MS", Verdana;
    } 
.nextPreviousButton
{
    color: #003352;
    font:14px "Trebuchet MS", Verdana;
    text-decoration:none;
}     
.divTOwarning {width:100%;height:100%;z-index:140;
   background-image:url(../Images/bkTimeout.png);display:none;
   background-repeat:repeat-x;background-position:left top;
   background-attachment:fixed;position:fixed;top:0;left:0;}

.divTOwarningI {width:300px;height:300px;position:fixed;top:25%;
   left:35%;border:solid 1px #000000;
   z-index:150;background-color:#D8E3E6;font-size:14px;
   text-align:center;padding:3px 3px 3px 3px;}
 .tDnD_whileDrag
 {
 	background-color:#9EBFE3;
 }
 .showDragHandle
 {
 	 background-image:url(../Images/UpDownArrow.png);
 	 background-repeat:no-repeat;
 	 background-position:center top;
 }
 .dragHandle
 {
 	cursor:move;
 }
 .dropHover
 {
 	background-color:#9EBFE3;
 }
 .taskDropHover
 {
 	background-color:#FFFFCC;
 }
 .sectionDropHover
 {
 	border:4px solid #9EBFE3;
 }
 .sectionDrop
 {
    position:absolute;
    top:0px;
    bottom:0px;
    left:0px;
    right:0px;
    margin:3px;
}
 .multidraggable {
	width:120px;
	height:30px;
	border:1px solid #CCC;
	padding:10px;
}

.ui-multidraggable {
	background:#FFFFCC;
}

.handle {
	border:1px solid #AEE6E8;
}

.cancel {
	border:1px solid #CCC;
}

#target {
	width:300px;
	height:300px;
	display:block;
	background:#E9B13B;
}


 .readOnlyControl
 {
     display: none;
 }
 .defaultCursor
 {
     cursor: pointer;
 } 
.DataEntryTable td
{
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#444444;
	text-decoration: none;	
	white-space:nowrap;
}
.DataEntryTable
{
    border-top:0px;
    border-right:0px;
    border-left:0px;
 	border-bottom: 1px;
    border-color: #D8E3E6;
	border-style: solid;
	border-collapse:collapse;
}
.DataEntryTable input
{
	font-size:11px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color:#003352;
	text-decoration: none;
	}
.DataEntryTable th
{
	font-family:Verdana,sans-serif;
	color: #003352;
	background-color: #E0EAF8;
	font-weight:bold;
	height: 10px;
    width: 80px;
	text-align: left;
	white-space:nowrap;
	padding:5px;
	border-bottom:1px solid #A9C5EB;
}
.DataEntrySubTable th
{
	font-family:Verdana,sans-serif;
	font-weight:normal;
	color: #003352;
	background-color: #EAF1FB;
	height: 10px;
    width: 80px;
	text-align: left;
	white-space:nowrap;
	border-left:1px solid #A9C5EB;

}
.DataEntrySubTable td
{
	border:1px solid #A9C5EB;
}
.DataEntryLeftBorder
{
	border-left:1px solid #A9C5EB;
	border-right:0px;
	border-top:0px;
	border-bottom:0px;
}
.addSet
{
	display: inline-block;
	zoom: 1; /* zoom and 
display = ie7 hack for display:inline-block */
	display: inline;
	 font-size:10px;
	font-family:Verdana,sans-serif;
	font-weight:normal;
	vertical-align: baseline;
	height:20px;
	margin: 0 0px;
	outline: none;
	cursor:hand;
	text-align: center;
	text-decoration: none;
	text-shadow: 0 1px 1px rgba(0,0,0,.3);
	-webkit-border-radius: .5em; 
	-moz-border-radius: .5em;
	border-radius: .5em;
	-webkit-box-shadow: 0 1px 2px rgba(0,0,0,.2);
	-moz-box-shadow: 0 1px 2px rgba(0,0,0,.2);
	box-shadow: 0 1px 2px rgba(0,0,0,.2);
	width:30px;
		color: #003352;
	border: solid 1px #0076a3;
	background: #C7D1E6;
	background: -webkit-gradient(linear, left top, left bottom, from(#FFFFFF), to(#A5B0C9));
	background: -moz-linear-gradient(top,  #FFFFFF,  #A5B0C9);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#FFFFFF', endColorstr='#A5B0C9');
}
.divFileColumnDnD
{
    width: 125px;
    height: 15px;
    background: silver;
    color: Black;
    padding: 10px;
}

.divTestCodeDnD
{
    width: 175px;
    height: 45px;
    background: #FFDFDF;
    color: black;
    padding: 10px;
}

.divInputDnD
{
    width: 175px;
    height: 45px;
    background: #D6F8DE;
    color: black;
    padding: 10px;
}

.divOutputDnD
{
    width: 175px;
    height: 45px;
    background: #CACAFF;
    color: black;
    padding: 10px;
}

.divScrollable
{
    height: 410px;
    width: 100%;
	overflow: scroll;
	white-space: nowrap;
	border-bottom: 1px solid gray;
	border-left: 1px solid gray;
}

.slidingDiv 
{
    width: 540px;
    background-color: #D8E3E6;
    padding:5px;
    border-bottom:5px solid white;
}
 
.show_hide {
    display:none;
}
.ui-autocomplete-nomatch 
{
	border:1px solid red;
}

